<?xml version="1.0" encoding="utf-8"?>
<layout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    xmlns:app="http://schemas.android.com/apk/res-auto">
    <data>
        <variable
            name="isMinimapShowing"
            type="Boolean" />
        <variable
            name="isNavigating"
            type="Boolean" />
        <variable
            name="isBusy"
            type="Boolean" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/root"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        tools:context=".ui.NavigationFragment">

        <FrameLayout
            android:id="@+id/ar_fragment_holder"
            android:layout_width="match_parent"
            android:layout_height="match_parent"/>

        <LinearLayout
            android:background="@color/white"
            android:visibility="@{isNavigating}"
            android:id="@+id/navigation_info_holder"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            app:layout_constraintBottom_toTopOf="@+id/minimapLayout"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent">
            <TextView
                android:id="@+id/tv_navigation_info"
                android:padding="8dp"
                android:layout_gravity="center"
                android:layout_weight="1"
                android:layout_width="0dp"
                android:textSize="16sp"
                android:maxLines="2"
                android:layout_height="wrap_content"/>
        </LinearLayout>

        <ImageView
            android:id="@+id/iv_show_minimap"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="8dp"
            android:layout_marginBottom="8dp"
            android:src="@drawable/ic_map"
            android:visibility="@{!isMinimapShowing}"
            app:layout_constraintBottom_toTopOf="@+id/minimapLayout"
            app:layout_constraintEnd_toEndOf="parent"
            android:contentDescription="@string/button_show_minimap_description" />

        <FrameLayout
            android:visibility="@{isMinimapShowing}"
            android:id="@+id/minimapLayout"
            android:layout_width="match_parent"
            android:layout_height="320dp"
            app:layout_constraintBottom_toBottomOf="parent">
        </FrameLayout>

        <ImageView
            android:id="@+id/iv_hide_minimap"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:layout_marginEnd="8dp"
            android:src="@drawable/ic_close"
            android:visibility="@{isMinimapShowing}"
            app:layout_constraintTop_toTopOf="@+id/minimapLayout"
            app:layout_constraintEnd_toEndOf="parent"
            android:contentDescription="@string/button_hide_minimap_description" />

        <androidx.constraintlayout.widget.Guideline
            android:id="@+id/guideline_center"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            app:layout_constraintGuide_percent="0.6"
             />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>